raju3444
Aerospace
- Jan 9, 2008
- 15
Hi,
I am trying to use the selectelement2 method but i am getting the following error.
"Function used is marked as restricted or uses a type not supported in Visual Basic"
The code i have written is-
--------------------------------------------------
Dim partDocument1 As PartDocument
Set partDocument1 = CATIA.ActiveDocument
Dim part1 As Part
Set part1 = partDocument1.Part
Dim InputObjectType(0), Status
InputObjectType(0) = "Sketch"
Dim mySelection As Selection
Set mySelection = partDocument1.Selection
Status = mySelection.SelectElement2(InputObjectType(0), "Select Sketch: ", True)
------------------------------------------------------
Can anybody giude me how to correct it. Thanks you in advance.
-Raj
I am trying to use the selectelement2 method but i am getting the following error.
"Function used is marked as restricted or uses a type not supported in Visual Basic"
The code i have written is-
--------------------------------------------------
Dim partDocument1 As PartDocument
Set partDocument1 = CATIA.ActiveDocument
Dim part1 As Part
Set part1 = partDocument1.Part
Dim InputObjectType(0), Status
InputObjectType(0) = "Sketch"
Dim mySelection As Selection
Set mySelection = partDocument1.Selection
Status = mySelection.SelectElement2(InputObjectType(0), "Select Sketch: ", True)
------------------------------------------------------
Can anybody giude me how to correct it. Thanks you in advance.
-Raj